Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.agent
Interface Agent

All Superinterfaces:
  Disposable, Initialisable, Lifecycle, NamedObject, Startable, Stoppable

All Known Implementing Classes:
  AbstractAgent, AbstractNotificationLoggerAgent, ConfigScannerAgent, DefaultJmxSupportAgent, EndpointNotificationLoggerAgent, HeartbeatAgent, JdmkAgent, JmxAgent, JmxServerNotificationAgent, Log4jAgent, Log4jNotificationLoggerAgent, Mx4jAgent, RemoteDispatcherAgent, RmiRegistryAgent, WrapperManagerAgent, YourKitProfilerAgent

    public interface Agent

extends Lifecycle, NamedObject

`Agent` is a server plugin that can be initialised, started and destroyed along with the MuleContext itself. Agents can initialise or bind to external services such as a Jmx server.

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Method Summary
`List<Class<Agent>>` | `getDependentAgents()`
`String` | `getDescription()` Should be a 1 line description of the agent
`void` | `registered()`
`void` | `unregistered()`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Methods inherited from interface org.mule.api.NamedObject
`getName, setName`

Method Detail

### getDescription

    String getDescription()

  Should be a 1 line description of the agent

### registered

    void registered()

### unregistered

    void unregistered()

### getDependentAgents

    List<Class<Agent>> getDependentAgents()

  Returns:
    List of Class objects (agent classes) that this Agent requires to be started before it can start itself. The implementation of this class may never return `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.